libselinx-devel: Needed for vim?

Jeff Vian jvian10 at
Thu Dec 8 06:27:52 UTC 2005

On Wed, 2005-12-07 at 19:44 -0800, Bill Rees wrote:
> Jeff Vian wrote:
> >On Wed, 2005-12-07 at 18:33 -0800, Bill Rees wrote:
> >  
> >
> >>    I downloaded the vim source code in fc 4 and behold.  It requires 
> >>libselinux-devel sources in order to compile but I cannot find that srpm 
> >>on  I can find libselinux itself which I'm 
> >>tyring now to see if that will work but I'll have to dummy up a .pc file 
> >>to satisfy the configure script.  Would someone clue me in on where 
> >>libselinux-devel.srpm lives?
> >>
> >>Bill Rees
> >>
> >>    
> >>
> >Maybe I don't understand what you need, but why roll your own from
> >source when vim is part of the distribution and the RPMs are there?
> >Yum will install vim and all the needed requisites (if any) for you.
> >
> >Is there something special you are doing to vim that requires it be
> >other than the distributed version??
> >
> >
> >  
> >
> Well there are a couple of fixes to vim in fc4 that I want on my fc2 
> system so I cannot really install the rpms, at least I don't think so 
> (gcc4 versus gcc3).   The fixes to vim are a better integration with tag 
> files that will display all definitions for a tag so you can choose 
> which one vim goes to.  The fc2 vim just goes to the first one so I'm 
> running across several bad tag references.  Naively, I thought I could 
> find the srpms and then build everything needed.
That makes sense now.  You did not say what version of FC you were
using, and mine with FC4 has everything I use, but then I don't stretch
most things to the limit either.

I certainly see where going from FC2 to FC4 versions would give added

More information about the users mailing list